- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Private Member Functions | List of all members
STOFFSpreadsheetListenerInternal::DocumentState Struct Reference

a class to store the document state of a STOFFSpreadsheetListener More...

## Public Member Functions
| DocumentState (std::vector< STOFFPageSpan > const &pageList)
| constructor More...
| ~DocumentState ()
| destructor More...

## Public Attributes
std::vector< STOFFPageSpan > | m_pageList
| the pages definition More...
STOFFPageSpan | m_pageSpan
| the current page span More...
librevenge::RVNGPropertyList | m_metaData
| the document meta data More...
int | m_footNoteNumber
| footnote number More...
int | m_smallPictureNumber
| number of small picture More...
bool | m_isDocumentStarted
| a flag to know if the document is open More...
bool | m_isSheetOpened
| a flag to know if a sheet is open More...
bool | m_isSheetRowOpened
| a flag to know if a row is open More...
std::vector< int > | m_sentListMarkers
| the list of marker corresponding to sent list More...
std::map< librevenge::RVNGString, int > | m_numberingIdMap
| a map cell's format to id More...
std::vector< STOFFSubDocumentPtr > | m_subDocuments
std::set< librevenge::RVNGString > | m_definedGraphicStyleSet
| list of document actually open More...

## Private Member Functions
| DocumentState (const DocumentState &)
DocumentState & | operator= (const DocumentState &)

## Detailed Description

a class to store the document state of a STOFFSpreadsheetListener

## Constructor & Destructor Documentation

STOFFSpreadsheetListenerInternal::DocumentState::DocumentState | ( | std::vector< STOFFPageSpan > const & | pageList | ) |
| inline explicit

constructor

STOFFSpreadsheetListenerInternal::DocumentState::~DocumentState | ( |  | ) |
| inline

destructor

STOFFSpreadsheetListenerInternal::DocumentState::DocumentState | ( | const DocumentState & |  | ) |
| private

## Member Function Documentation

DocumentState& STOFFSpreadsheetListenerInternal::DocumentState::operator= | ( | const DocumentState & |  | ) |
| private

## Member Data Documentation

std::set<librevenge::RVNGString> STOFFSpreadsheetListenerInternal::DocumentState::m_definedGraphicStyleSet

list of document actually open

the set of defined graphic style

int STOFFSpreadsheetListenerInternal::DocumentState::m_footNoteNumber

footnote number

bool STOFFSpreadsheetListenerInternal::DocumentState::m_isDocumentStarted

a flag to know if the document is open

bool STOFFSpreadsheetListenerInternal::DocumentState::m_isSheetOpened

a flag to know if a sheet is open

bool STOFFSpreadsheetListenerInternal::DocumentState::m_isSheetRowOpened

a flag to know if a row is open

librevenge::RVNGPropertyList STOFFSpreadsheetListenerInternal::DocumentState::m_metaData

the document meta data

std::map<librevenge::RVNGString,int> STOFFSpreadsheetListenerInternal::DocumentState::m_numberingIdMap

a map cell's format to id

std::vector<STOFFPageSpan> STOFFSpreadsheetListenerInternal::DocumentState::m_pageList

the pages definition

STOFFPageSpan STOFFSpreadsheetListenerInternal::DocumentState::m_pageSpan

the current page span

std::vector<int> STOFFSpreadsheetListenerInternal::DocumentState::m_sentListMarkers

the list of marker corresponding to sent list

int STOFFSpreadsheetListenerInternal::DocumentState::m_smallPictureNumber

number of small picture

std::vector<STOFFSubDocumentPtr> STOFFSpreadsheetListenerInternal::DocumentState::m_subDocuments

The documentation for this struct was generated from the following file:

- STOFFSpreadsheetListener.cxx